### Hierarchy

- OverflowMenuOption

### Implements

- AfterViewInit

## Index

### Inputs

- disabled
- divider
- href
- innerClass
- type
- target

### Outputs

- selected

### Constructors

- constructor

### Properties

- _target
- disabled
- divider
- elementRef
- href
- innerClass
- optionClass
- role
- selected
- tabIndex
- title
- type

### Accessors

- isDanger
- isDisabled
- rel
- target

### Methods

- ngAfterViewInit
- onBlur
- onClick
- onFocus

## Constructors

### constructor

- new OverflowMenuOption(elementRef: ElementRef): OverflowMenuOption

- - Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:141

  #### Parameters

  - ##### elementRef: ElementRef

  #### Returns OverflowMenuOption

## Properties

### Protected _target

_target: Target

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:141

### disabled

@Input()
disabled: boolean = false

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:101

### divider

@HostBinding({"hostPropertyName":"class.bx--overflow-menu--divider"})
@Input()
divider: boolean = false

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:93

### Protected elementRef

elementRef: ElementRef

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:143

### href

@Input()
href: string

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:105

### innerClass

@Input()
innerClass: string = ""

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:122

### optionClass

@HostBinding({"hostPropertyName":"class.bx--overflow-menu-options__option"})
optionClass: boolean = true

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:78

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "presentation"

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:79

### selected

@Output()
selected: EventEmitter<any> = new EventEmitter()

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:134

### tabIndex

tabIndex: number = -1

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:136

### title

title: any = null

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:139

### type

@Input()
type: "normal" | "danger" = "normal"

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:97

## Accessors

### isDanger

@HostBinding({"hostPropertyName":"class.bx--overflow-menu-options__option--danger"})
isDanger:

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:82

### isDisabled

@HostBinding({"hostPropertyName":"class.bx--overflow-menu-options__option--disabled"})
isDisabled:

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:87

### rel

rel:

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:130

### target

@Input()
target:

- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:109
- Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:124

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:157

  #### Returns void

### onBlur

- onBlur(): void

- - Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:153

  #### Returns void

### onClick

- onClick(): void

- - Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:145

  #### Returns void

### onFocus

- onFocus(): void

- - Defined in src/dialog/overflow-menu/overflow-menu-option.component.ts:149

  #### Returns void

Generated using TypeDoc